﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Test.ListBinding" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ Register Assembly="MindFusion.Charting.WebForms" Namespace="MindFusion.Charting.WebForms"
	TagPrefix="chart" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title>MindFusion Charting Sample - ListBinding</title>
	<link href="common/jquery-ui.min.css" rel="stylesheet" />
	<link href="common/samples.css" rel="stylesheet" />
	<script type="text/javascript" src="common/jquery.min.js"></script>
	<script type="text/javascript" src="common/jquery-ui.min.js"></script>
	<script type="text/javascript" src="Scripts/require.js"></script>
	<script type="text/javascript" src="common/samples.js"></script>
</head>
<body>
	<form id="form1" runat="server">
	<asp:ScriptManager ID="ScriptManager1" runat="server" />
	<input type="hidden" id="collapsed" />
	<div id="header" style="height: 49px;">
		<asp:Button ID="Button1" runat="server" Text="Postback" OnClick="Button1_Click" />
		<div style="float: right; margin-right: 5px; margin-top: 17px;">
			<button id="expandButton" onclick="onExpandCollapse()">
				&gt;
			</button>
		</div>
	</div>
	<div id="info" style="top: 60px; bottom: 24px;">
		<div id="infoTab" style="padding: 10px;">
			<h1>
				About this sample
			</h1>
			<p>
				This sample shows how to bind the chart to a list of custom objects by setting the list as DataSource.
			</p>
		</div>
	</div>
	<div id="content" style="top: 60px; bottom: 24px; overflow-y: scroll;">
		<div id="controls" style="height: 100px;">

			<asp:CheckBox ID="chbShowScatter" runat="server" AutoPostBack="true" OnCheckedChanged="chbShowScatter_CheckedChanged" />
			<label for="allowRotate">
				ShowScatter</label>
			<div style="display: inline-block">
				<label for="gridType">
					GridType</label>
				<asp:DropDownList ID="gridType" runat="server" AutoPostBack="true" OnSelectedIndexChanged="gridType_SelectedIndexChanged">
					<asp:ListItem Value="0" Text="Spiderweb"></asp:ListItem>
					<asp:ListItem Value="1" Text="Radar" Selected="True"></asp:ListItem>
				</asp:DropDownList>
			</div>
			<div style="display: inline-block">
				<label for="radarType">
					RadarType</label>
				<asp:DropDownList ID="radarType" runat="server" AutoPostBack="true" OnSelectedIndexChanged="radarType_SelectedIndexChanged">
					<asp:ListItem Value="0" Text="Polygon" Selected="True"></asp:ListItem>
					<asp:ListItem Value="1" Text="Pie"></asp:ListItem>
				</asp:DropDownList>
			</div>
		</div>
		<div style="position: absolute; left: 0px;
			top: 100px; bottom: 0px; right: 20px">
		<chart:RadarChart runat="server" ID="radarChart" Width="100%" Height="100%" /></div>
	</div>
	<div id="footer" style="height: 24px;">
		<span id="copyright"></span>
	</div>
	<script type="text/javascript">
	</script>
	</form>
</body>
</html>

